Index: code/branches/cpp11_v2/src/modules/pickup/items/DamageBoostPickup.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/pickup/items/DamageBoostPickup.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/pickup/items/DamageBoostPickup.cc	(revision 10765)
@@ -106,5 +106,5 @@
 
         SpaceShip* ship = this->carrierToSpaceShipHelper();
-        if(ship == NULL) // If the PickupCarrier is no SpaceShip, then this pickup is useless and therefore is destroyed.
+        if(ship == nullptr) // If the PickupCarrier is no SpaceShip, then this pickup is useless and therefore is destroyed.
             this->Pickupable::destroy();
 
@@ -152,5 +152,5 @@
         Helper to transform the PickupCarrier to a SpaceShip, and throw an error message if the conversion fails.
     @return
-        A pointer to the SpaceShip, or NULL if the conversion failed.
+        A pointer to the SpaceShip, or nullptr if the conversion failed.
     */
     SpaceShip* DamageBoostPickup::carrierToSpaceShipHelper(void)
@@ -159,5 +159,5 @@
         SpaceShip* ship = orxonox_cast<SpaceShip*>(carrier);
 
-        if(ship == NULL)
+        if(ship == nullptr)
         {
             orxout(internal_error, context::pickups) << "Invalid PickupCarrier in DamageBoostPickup." << endl;
Index: code/branches/cpp11_v2/src/modules/pickup/items/DronePickup.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/pickup/items/DronePickup.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/pickup/items/DronePickup.cc	(revision 10765)
@@ -122,5 +122,5 @@
 
                 Pawn* pawn = this->carrierToPawnHelper();
-                if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+                if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                     this->Pickupable::destroy();
 
@@ -131,5 +131,5 @@
                 Controller* controller = drone->getController();
                 DroneController* droneController = orxonox_cast<DroneController*>(controller);
-                if(droneController != NULL)
+                if(droneController != nullptr)
                 {
                     droneController->setOwner(pawn);
@@ -156,5 +156,5 @@
         Helper to transform the PickupCarrier to a Pawn, and throw an error message if the conversion fails.
     @return
-        A pointer to the Pawn, or NULL if the conversion failed.
+        A pointer to the Pawn, or nullptr if the conversion failed.
     */
     Pawn* DronePickup::carrierToPawnHelper(void)
@@ -163,5 +163,5 @@
         Pawn* pawn = orxonox_cast<Pawn*>(carrier);
 
-        if(pawn == NULL)
+        if(pawn == nullptr)
         {
             orxout(internal_error, context::pickups) << "Invalid PickupCarrier in DronePickup." << endl;
Index: code/branches/cpp11_v2/src/modules/pickup/items/HealthPickup.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/pickup/items/HealthPickup.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/pickup/items/HealthPickup.cc	(revision 10765)
@@ -114,5 +114,5 @@
         {
             Pawn* pawn = this->carrierToPawnHelper();
-            if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+            if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                 this->Pickupable::destroy();
 
@@ -168,5 +168,5 @@
             {
                 Pawn* pawn = this->carrierToPawnHelper();
-                if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+                if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                     this->Pickupable::destroy();
 
@@ -206,5 +206,5 @@
                 Pawn* pawn = orxonox_cast<Pawn*>(carrier);
 
-                if(pawn == NULL)
+                if(pawn == nullptr)
                 {
                     orxout(internal_error, context::pickups) << "Something went horribly wrong in Health Pickup. PickupCarrier is '" << carrier->getIdentifier()->getName() << "' instead of Pawn." << endl;
@@ -233,5 +233,5 @@
         Helper to transform the PickupCarrier to a Pawn, and throw an error message if the conversion fails.
     @return
-        A pointer to the Pawn, or NULL if the conversion failed.
+        A pointer to the Pawn, or nullptr if the conversion failed.
     */
     Pawn* HealthPickup::carrierToPawnHelper(void)
@@ -240,5 +240,5 @@
         Pawn* pawn = orxonox_cast<Pawn*>(carrier);
 
-        if(pawn == NULL)
+        if(pawn == nullptr)
             orxout(internal_error, context::pickups) << "Invalid PickupCarrier in HealthPickup." << endl;
 
Index: code/branches/cpp11_v2/src/modules/pickup/items/InvisiblePickup.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/pickup/items/InvisiblePickup.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/pickup/items/InvisiblePickup.cc	(revision 10765)
@@ -139,5 +139,5 @@
     {
         Pawn* pawn = this->carrierToPawnHelper();
-        if(pawn == NULL)
+        if(pawn == nullptr)
             return false;
 
@@ -163,5 +163,5 @@
         Helper to transform the PickupCarrier to a Pawn, and throw an error message if the conversion fails.
     @return
-        A pointer to the Pawn, or NULL if the conversion failed.
+        A pointer to the Pawn, or nullptr if the conversion failed.
     */
     Pawn* InvisiblePickup::carrierToPawnHelper(void)
@@ -170,5 +170,5 @@
         Pawn* pawn = orxonox_cast<Pawn*>(carrier);
 
-        if(pawn == NULL)
+        if(pawn == nullptr)
         {
             orxout(internal_error, context::pickups) << "Invalid PickupCarrier in InvisiblePickup." << endl;
Index: code/branches/cpp11_v2/src/modules/pickup/items/MetaPickup.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/pickup/items/MetaPickup.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/pickup/items/MetaPickup.cc	(revision 10765)
@@ -107,5 +107,5 @@
         {
             PickupCarrier* carrier = this->getCarrier();
-            if(this->getMetaType() != pickupMetaType::none && carrier != NULL)
+            if(this->getMetaType() != pickupMetaType::none && carrier != nullptr)
             {
                 // If the metaType is destroyCarrier, then the PickupCarrier is destroyed.
@@ -121,5 +121,5 @@
                 {
                     Pickupable* pickup = (*it);
-                    if(pickup == NULL || pickup == this)
+                    if(pickup == nullptr || pickup == this)
                         continue;
 
Index: code/branches/cpp11_v2/src/modules/pickup/items/ShieldPickup.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/pickup/items/ShieldPickup.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/pickup/items/ShieldPickup.cc	(revision 10765)
@@ -99,5 +99,5 @@
 
         Pawn* pawn = this->carrierToPawnHelper();
-        if(pawn == NULL)
+        if(pawn == nullptr)
             this->Pickupable::destroy();
 
@@ -143,5 +143,5 @@
     Helper to transform the PickupCarrier to a Pawn, and throw an error message if the conversion fails.
     @return
-    A pointer to the Pawn, or NULL if the conversion failed.
+    A pointer to the Pawn, or nullptr if the conversion failed.
     */
     Pawn* ShieldPickup::carrierToPawnHelper(void)
@@ -150,5 +150,5 @@
         Pawn* pawn = orxonox_cast<Pawn*>(carrier);
 
-        if(pawn == NULL)
+        if(pawn == nullptr)
         {
             orxout(internal_error, context::pickups) << "Invalid PickupCarrier in ShieldPickup." << endl;
Index: code/branches/cpp11_v2/src/modules/pickup/items/ShrinkPickup.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/pickup/items/ShrinkPickup.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/pickup/items/ShrinkPickup.cc	(revision 10765)
@@ -146,5 +146,5 @@
         {
             Pawn* pawn = this->carrierToPawnHelper();
-            if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+            if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
             {
                 this->Pickupable::destroy();
@@ -173,5 +173,5 @@
                 //TODO: Deploy particle effect.
                 Pawn* pawn = this->carrierToPawnHelper();
-                if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+                if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                     return;
 
@@ -187,5 +187,5 @@
                 {
                     CameraPosition* cameraPos = pawn->getCameraPosition(index);
-                    if(cameraPos == NULL)
+                    if(cameraPos == nullptr)
                         continue;
                     cameraPos->setPosition(cameraPos->getPosition()/factor);
@@ -201,5 +201,5 @@
                 //TODO: Deploy particle effect.
                 Pawn* pawn = this->carrierToPawnHelper();
-                if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+                if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                     return;
 
@@ -213,5 +213,5 @@
                 {
                     CameraPosition* cameraPos = pawn->getCameraPosition(index);
-                    if(cameraPos == NULL)
+                    if(cameraPos == nullptr)
                         continue;
                     cameraPos->setPosition(cameraPos->getPosition()/this->shrinkFactor_);
@@ -237,5 +237,5 @@
             {
                 Pawn* pawn = this->carrierToPawnHelper();
-                if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+                if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                 {
                     this->Pickupable::destroy();
@@ -268,5 +268,5 @@
                 {
                     CameraPosition* cameraPos = pawn->getCameraPosition(index);
-                    if(cameraPos == NULL)
+                    if(cameraPos == nullptr)
                         continue;
                     cameraPos->setPosition(cameraPos->getPosition()/factor);
@@ -277,5 +277,5 @@
             {
                 Pawn* pawn = this->carrierToPawnHelper();
-                if(pawn == NULL) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
+                if(pawn == nullptr) // If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                     this->Pickupable::destroy();
 
@@ -309,5 +309,5 @@
                 {
                     CameraPosition* cameraPos = pawn->getCameraPosition(index);
-                    if(cameraPos == NULL)
+                    if(cameraPos == nullptr)
                         continue;
                     cameraPos->setPosition(cameraPos->getPosition()/factor);
Index: code/branches/cpp11_v2/src/modules/pickup/items/SpeedPickup.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/pickup/items/SpeedPickup.cc	(revision 10732)
+++ code/branches/cpp11_v2/src/modules/pickup/items/SpeedPickup.cc	(revision 10765)
@@ -99,5 +99,5 @@
 
         SpaceShip* ship = this->carrierToSpaceShipHelper();
-        if(ship == NULL) // If the PickupCarrier is no SpaceShip, then this pickup is useless and therefore is destroyed.
+        if(ship == nullptr) // If the PickupCarrier is no SpaceShip, then this pickup is useless and therefore is destroyed.
             this->Pickupable::destroy();
 
@@ -143,5 +143,5 @@
         Helper to transform the PickupCarrier to a SpaceShip, and throw an error message if the conversion fails.
     @return
-        A pointer to the SpaceShip, or NULL if the conversion failed.
+        A pointer to the SpaceShip, or nullptr if the conversion failed.
     */
     SpaceShip* SpeedPickup::carrierToSpaceShipHelper(void)
@@ -150,5 +150,5 @@
         SpaceShip* ship = orxonox_cast<SpaceShip*>(carrier);
 
-        if(ship == NULL)
+        if(ship == nullptr)
         {
             orxout(internal_error, context::pickups) << "Invalid PickupCarrier in SpeedPickup." << endl;
